> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mixroute.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# GLM-5.3 Flash

> GLM-5.3 Flash：面向编程、Agent 和视觉任务的高效原生多模态模型。

GLM-5.3 Flash 是智谱 Z.ai 首个原生多模态 GLM-5 模型，面向高效编程、Agent 与视觉理解。

通过以下接口在 MixRoute 调用 `glm-5.3-flash`。

## 核心能力

* 原生多模态：理解文本、图片、视频与文件
* 1M 上下文：支持长上下文专业工作流
* 高效 MoE：总参数 320B、激活参数 18B
* Agent 工作流：支持编程、工具调用与多步执行

## 快速示例

<Tabs>
  <Tab title="cURL">
    ```bash theme={null}
    curl "https://api.mixroute.ai/v1/chat/completions" \
      -H "Authorization: Bearer YOUR_API_KEY" \
      -H "Content-Type: application/json" \
      -d '{
      "model": "glm-5.3-flash",
      "messages": [
        {"role": "user", "content": "审查这份部署方案，找出风险最高的回滚缺口。"}
      ],
      "max_tokens": 256,
      "reasoning_effort": "high"
    }'
    ```
  </Tab>

  <Tab title="Python">
    ```python theme={null}
    from openai import OpenAI

    client = OpenAI(api_key="YOUR_API_KEY", base_url="https://api.mixroute.ai/v1")

    response = client.chat.completions.create(
        model="glm-5.3-flash",
        messages=[{"role": "user", "content": "审查这份部署方案，找出风险最高的回滚缺口。"}],
        max_tokens=256,
        reasoning_effort="high",
    )

    print(response.choices[0].message.content)
    ```
  </Tab>
</Tabs>

## 参数

| 参数                 | 类型      | 必填 | 说明                            |
| ------------------ | ------- | -- | ----------------------------- |
| `model`            | string  | 是  | 固定为 `glm-5.3-flash`。          |
| `messages`         | array   | 是  | 包含 role 与 content 的对话消息。      |
| `max_tokens`       | integer | 否  | 最大生成 Token 数。                 |
| `stream`           | boolean | 否  | 启用 SSE 流式输出。                  |
| `reasoning_effort` | string  | 否  | 推理强度，支持 `low`、`high` 和 `max`。 |
| `tools`            | array   | 否  | OpenAI 兼容工具定义。                |

## 厂商资料

* [Z.ai GLM-5.3 Flash 发布说明](https://z.ai/blog/glm-5.3-flash)
